Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.maryanovsky.gwtutils.client.iphone.ui.touch.gestures.drag
Class DragMoveEvent

    java.lang.Object
      com.google.gwt.event.shared.GwtEvent<H>
          com.maryanovsky.gwtutils.client.event.SyntheticEvent<H,E>
              com.maryanovsky.gwtutils.client.iphone.ui.touch.gestures.SyntheticTouchGestureEvent<DragMoveHandler,TouchMoveEvent>
                  com.maryanovsky.gwtutils.client.iphone.ui.touch.gestures.drag.DragMoveEvent

    public class DragMoveEvent

extends SyntheticTouchGestureEvent<DragMoveHandler,TouchMoveEvent>

Represents a drag move event.

Author:
  Maryanovsky Alexander

Nested Class Summary

Nested classes/interfaces inherited from class com.google.gwt.event.shared.GwtEvent
`GwtEvent.Type<H>`

Constructor Summary
`DragMoveEvent(TouchMoveEvent evt, PointView location, PointView offset)` ` Creates a new `DragMoveEvent` from the specified source `TouchMoveEvent`, touch location and offset from the initial touch point.

Method Summary
`protected void` | `dispatch(DragMoveHandler handler)` Dispatches the event to the handler.
`GwtEvent.Type<DragMoveHandler>` | `getAssociatedType()` Returns the event type associated with drag move events.
`PointView` | `getLocation()` Returns the location of the touching finger, in the target element's coordinate system.
`PointView` | `getOffset()` Returns the offset of the touching finger from the initial touching location.
`static GwtEvent.Type<DragMoveHandler>` | `getType()` Returns the event type associated with drag move events.

Methods inherited from class com.maryanovsky.gwtutils.client.event.SyntheticEvent
`getSourceEvent`

Methods inherited from class com.google.gwt.event.shared.GwtEvent
`assertLive, getSource, isLive, kill, revive, toDebugString, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DragMoveEvent

    public DragMoveEvent(TouchMoveEvent evt,
                         PointView location,
                         PointView offset)

  ` Creates a new `DragMoveEvent` from the specified source `TouchMoveEvent`, touch location and offset from the initial touch point.

  Parameters:
    `evt` - The touch move event that triggered this event.
    `location` - The location of the finger in the target element's coordinate system.
    `offset` - The offset of the finger from the location where it was pressed.

Method Detail

### getLocation

    public PointView getLocation()

  Returns the location of the touching finger, in the target element's coordinate system.

### getOffset

    public PointView getOffset()

  Returns the offset of the touching finger from the initial touching location.

### getType

    public static GwtEvent.Type<DragMoveHandler> getType()

  Returns the event type associated with drag move events.

### getAssociatedType

    public GwtEvent.Type<DragMoveHandler> getAssociatedType()

  Returns the event type associated with drag move events.

  Specified by:
    `getAssociatedType` in class `GwtEvent<DragMoveHandler>`

### dispatch

    protected void dispatch(DragMoveHandler handler)

  Dispatches the event to the handler.

  Specified by:
    `dispatch` in class `GwtEvent<DragMoveHandler>`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD